<script type="text/javascript">
/* <![CDATA[ */
jQuery(document).ready(function($){
	//var starttime = new Date().getTime();
	
	// Nivo slider settings
	var header = $('#header');
	var slider = $('#slider');

	var nivocheck = false;
	function startnivo() {
		if (nivocheck == false) {
						slider.nivoSlider({
				effect:'random',
				slices: 12,
				animSpeed: 1000,
				pauseTime: 10000,
				directionNav:true,
				directionNavHide:true,
				controlNav:true,
				pauseOnHover:true,
				manualAdvance:false,
				captionOpacity: 0.7,
				beforeChange: function(){},
				afterChange: function(){}
			});
						nivocheck = true;
		}
	}
	
	// Slider hide & show
	var sliderarrow = $('#slider_arrow');
		startnivo();
	sliderarrow.removeClass("arrow_down").addClass("arrow_up");
		sliderarrow.click(function(){
		if ($(this).hasClass('arrow_up')) {
			slider.fadeOut(1000);
			header.animate({ 
				height: '0'
			}, 1000, function(){
				sliderarrow.removeClass("arrow_up").addClass("arrow_down");
			});
		} else {
			startnivo();
			slider.fadeIn(1000);
			header.animate({ 
				height: '316'
			}, 1000, function(){
				sliderarrow.removeClass("arrow_down").addClass("arrow_up");
			});
		}
	});
	sliderarrow.hover(
		function () {
			$(this).animate({
				top: "-15px"
			}, 100 );
	  	},
	  	function () {
			$(this).animate({
				top: "-15px"
			}, 100 );
	  	}
	);
	
	
	
	// Menu card
	window.cardcontainer = $('#card-container');
	window.cardnext = $('#card-next');
	window.cardprev = $('#card-prev');
	window.activepage = cardcontainer.attr('activepage');
	cardcontainer.animate({
		height: $('#cardpageid-' + window.activepage).height()
	}, 500 );
	if (window.activepage == 1) {
		cardprev.fadeOut(0);
	}
	var marginLeft = ((window.activepage-1)*956)*-1;
	$('#card-slider').css("left",marginLeft);
	window.totalPages = $('.card-page').size();
	if (window.activepage == window.totalPages){
		window.cardnext.fadeOut(0);
	}
	window.blockAnimation = false;
	$('#card-next, #card-prev').click(function(){
		direction = $(this).attr('id')
		if ( direction == 'card-next' ){
			cardNavigation(false)
		} else {
			cardNavigation(true)
		}
		return false
	});
	cardprev.hover(
		function () {
			$(this).animate({
				left: "-10px"
			}, 100 );
	  	},
	  	function () {
			$(this).animate({
				left: "-8px"
			}, 100 );
	  	}
	);
	cardnext.hover(
		function () {
			$(this).animate({
				right: "-10px"
			}, 100 );
	  	},
	  	function () {
			$(this).animate({
				right: "-8px"
			}, 100 );
	  	}
	);
	
	$(window).scroll(function() {
		scrollArrows();
    });
	var cardNext = $("#card-next");
	var position = cardNext.position();

	var arrowHeight = cardNext.height();
	var oldscroll = 0;
	function scrollArrows() {
		if (cardNext && position && arrowHeight) {
			var scrolltop = $(window).scrollTop();
			var scrollmoved = scrolltop - oldscroll;
			oldscroll = scrolltop;
			var topmargin = scrolltop + position.top;
			
			var mc_position = cardNext.position();
			var mc_height = $(".menucard").height();
			
			if ((topmargin + scrollmoved) > (mc_height - position.top - arrowHeight)) {
				topmargin = mc_height - position.top;
			}
	
			$("#card-next, #card-prev").stop().animate({
				top: topmargin
			}, 500);
		}
	}
	
	function cardNavigation(prev){
		marginLeft = ((window.activepage-1)*956)*-1;
		if (window.blockAnimation == false) {
			window.blockAnimation = true;
			if ( prev == true ){
				window.activepage--;
			} else {
				window.activepage++;
			}
			if (window.activepage == window.totalPages){
				window.cardnext.fadeOut(500);
			}
			if (window.activepage == (window.totalPages-1)){
				window.cardnext.fadeIn(500);
			}
			if (window.activepage == 1){
				window.cardprev.fadeOut(500);
			}
			if (window.activepage == 2){
				window.cardprev.fadeIn(500);
			}
			
			left = ( prev == true ) ? (marginLeft + 956) : (marginLeft - 956)
			$('#card-slider').animate({
				left: left
			}, 1000, function(){
				window.blockAnimation = false;
			});
			
			window.cardcontainer.attr('activepage', window.activepage).animate({
				height: $('#cardpageid-' + window.activepage).height()

			}, 1000, function(){
				scrollArrows();
			});
		}
	}
	
	//var elapsed = new Date().getTime() - starttime;
	//alert('Time elapsed: ' + elapsed + ' milliseconds');
});
/* ]]> */
</script>